# Uses of Class
org.eclipse.jdt.core.dom.PackageDeclaration

Packages that use PackageDeclaration
Package
Description
org.eclipse.jdt.core.dom
The Java DOM/AST is the set of classes that model the source code of a Java program as a structured document.
org.eclipse.jdt.core.manipulation
Application programming interface for the JDT core manipulation plug-in class.

## Uses of PackageDeclaration in org.eclipse.jdt.core.dom

Methods in org.eclipse.jdt.core.dom that return PackageDeclaration
Modifier and Type
Method
Description
`PackageDeclaration`
CompilationUnit.`getPackage()`
Returns the node for the package declaration of this compilation unit, or `null` if this compilation unit is in the default package.
`PackageDeclaration`
AST.`newPackageDeclaration()`
Creates an unparented package declaration node owned by this AST.
Methods in org.eclipse.jdt.core.dom with parameters of type PackageDeclaration
Modifier and Type
Method
Description
`void`
ASTVisitor.`endVisit(PackageDeclaration node)`
End of visit the given type-specific AST node.
`boolean`
ASTMatcher.`match(PackageDeclaration node, Object other)`
Returns whether the given node and the other object match.
`void`
CompilationUnit.`setPackage(PackageDeclaration pkgDecl)`
Sets or clears the package declaration of this compilation unit node to the given package declaration node.
`boolean`
ASTVisitor.`visit(PackageDeclaration node)`
Visits the given type-specific AST node.

## Uses of PackageDeclaration in org.eclipse.jdt.core.manipulation

Methods in org.eclipse.jdt.core.manipulation with parameters of type PackageDeclaration
Modifier and Type
Method
Description
`boolean`
ImportReferencesCollector.`visit(PackageDeclaration node)`